#   TVFS (Toronto Virtual File System) TvCmd Sample Make File.
#   
#   (c) Copyright International Business Machines Corporation 1994, 1995.
#   All rights reserved.
#
#   01/22/93    M.D. Leitch    Creation.
#

!ifdef  INCL_TVBASE
!include tvbase.mak
!else
!ifdef  __32BIT__
CC      = icc /Q+ /Sm /Kb+             
RC      = rc   
LINK    = link386 /NOLOGO /ALIGNMENT:4 /PM:PM
LIBRING3=               
!else
CC      = cl /c /AL /G2s /Od /W3 /Zelp
RC      = rc   
LINK    = link /NOD /NOI
LIBRING3= llibcep os2
!endif
!endif

all:    tvcmdex.obj tvcmdex.exe tvcmd.exe

#------------------------------------------------------------
# Implicit rules.
#------------------------------------------------------------

.c.obj:
  $(CC) $*.c

.obj.exe:
  $(LINK) $*.obj,$*.exe,$*.map/m,$(LIBRING3),$*.def;

#------------------------------------------------------------
# Dependency lists.
#------------------------------------------------------------

tvcmdex.obj: tvcmdex.c tvcmd.h

tvcmdex.exe: tvcmdex.obj tvcmdex.def

tvcmd.exe:    tvcmdex.exe
              copy tvcmdex.exe tvcmd.exe
