/*   tvscreen.h    TVFS screen definitions.
 *
 *   (c) Copyright International Business Machines Corporation 1994, 1995.
 *   All rights reserved.
 *
 *   Dependencies: <os2.h>
 *
 *   11/04/91   T. Francis   Creation.
 */                                      


#define ID_WINDOW          255
#define ID_WANTDELAY       254
#define ID_EXITPROG        253
#define ID_OPTIONS         252


typedef struct ofStruct 
{
   struct ofStruct        *Next;
   PSZ                     pszTvfsName;   /* The TVFS file name. */
   PSZ                     pszFileName;   /* The actual (redirected) file name. */
   HFILE                   FileHandle;    /* The file handle used by TVFS/TVCTL. */
   BOOL                    FileOpen;      /* Is the file open? */
   ULONG                   TicksLeft;     /* Used to delay after a close */
} OPENFILELIST;

