#   TVFS (Toronto Virtual File System) TvScreen Make File.
#
#   (c) Copyright International Business Machines Corporation 1994, 1995.
#   All rights reserved.
#
#   11/04/91    M.D. Leitch    Creation.
#   11/05/91    Tim Francis    Customized for TVSCREEN.
#   07/09/92    M.D. Leitch    Provide 32 bit compatability. 
#

!ifdef  INCL_TVBASE
!include tvbase.mak
!else
!ifdef  __32BIT__
CC      = icc /Q+ /Sm /Kb+ /c /Ti      
RC      = rc   
LINK    = link386 /NOLOGO /DE /PM:PM
LIBRING3=               
!else
CC      = cl /c /AL /G2s /Od /W3 /Zelp
RC      = rc   
LINK    = link /NOD /NOI
LIBRING3= llibcep os2
!endif
!endif

all:    tvscreen.obj tvscreen.res tvscreen.exe

#------------------------------------------------------------
# Implicit rules.
#------------------------------------------------------------

.c.obj:
  $(CC) $*.c

.rc.res:
  $(RC) -r $*.rc $*.res

.obj.exe:
  $(LINK) $*.obj,$*.exe,$*.map/m,$(LIBRING3),$*.def;
  $(RC)   $*.res

#------------------------------------------------------------
# Dependency lists.
#------------------------------------------------------------

tvscreen.obj: tvscreen.c tvscreen.h tvremote.h

tvscreen.res: tvscreen.rc tvscreen.ico tvscreen.h

tvscreen.exe: tvscreen.obj tvscreen.res tvscreen.def

